Subject: Re: Comma-separated values

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 23 Apr 1999 11:37:43 -0400

Peter Peldán wrote:
> 
> Ok, just thought that since the following was asked a few days ago:
> 
> ----------------------------------------------
> Currently, the SIP (and HTTP) BNF allows quoted strings and comments
> to
> include escaped newlines. This makes multi-stage parsing a bit of a
> pain, since you can't separate the input into lines without looking
> for
> quoted strings or comments. I can't think of a real good use for
> putting
> \n into a comment or string, so one possibility is to disallow \n or
> \r
> in quoted strings in a future version of the spec.
> 
> Disadvantage: it diverges from HTTP conventions.
> 
> (Jonathan R. pointed this out.)
> 
> Any comments?
> ------------------------------------------------------------
> 
> I thought things like these were still open for discussion?

The difference is, I don't think anyone has implemented escaped newlines
(let us know if you have). The intention of the escaping was really for
quotes and brackets inside quoted strings and comments. Removing this is
therefore in line with regular draft procedures. However, disallowing
the "naked" comma in the Date field breaks *everyones* parser, which all
look for it.

-Jonathan R.
-- 
Jonathan D. Rosenberg                       Lucent Technologies
Member of Technical Staff                   101 Crawfords Corner Rd.
High Speed Networks Research                Holmdel, NJ 07733
FAX:   (732) 834-5379                       Rm. 4C-526
EMAIL: [email-masked]
URL: http://www.cs.columbia.edu/~jdrosen